Installing G'MIC in ubuntu for 2.10


(beez zaen) #1

How to install G’MIC for the new GIMP 2.10? There’s no deb package for it from the site. Does the zip of previous versions work? I couldn’t do it the usual way of ‘sudo apt install gimp-gmic’, instead it installed the old gimp. How to install this?


(Mica) #2

I’d recommend the AppImage: https://github.com/aferrero2707/gimp-appimage/releases

Or the otto-kesselgultch PPA.


(beez zaen) #3

Meaning installing gimp via the appimage? I don’t suppose that’s very convienient? Doesn’t appear in searchbar and installing plugins would be harder, ?


(beez zaen) #4

Don’t the scripts of 2.8 work up in 2.10?


(David Tschumperlé) #5

For GIMP 2.10 on Ubuntu, I recommend using this PPA : https://launchpad.net/~otto-kesselgulasch/+archive/ubuntu/gimp
It provides latest version of GIMP and a quite decent version of the G’MIC plug-in too.
Simple to install and to update afterwards.


(Mica) #6

Script compatibility is on a case-by-case basis.

You can install plugins still using the appimage the same way you do with the regular version. The AppImage comes with gmic baked in.